org.apache.lucene.codecs.lucene42

## Class Lucene42TermVectorsFormat

- java.lang.Object
- - org.apache.lucene.codecs.TermVectorsFormat
  - - org.apache.lucene.codecs.lucene42.Lucene42TermVectorsFormat

- Deprecated.
  only for reading old segments

      @Deprecated
      public class Lucene42TermVectorsFormat
      extends TermVectorsFormat

  Lucene 4.2 `term vectors format`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene42TermVectorsFormat()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Deprecated.
    `TermVectorsReader` | `vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)` Deprecated.
    `TermVectorsWriter` | `vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene42TermVectorsFormat

          public Lucene42TermVectorsFormat()

      Deprecated.

  - ### Method Detail

    - #### vectorsReader

          public final TermVectorsReader vectorsReader(Directory directory,
                                        SegmentInfo segmentInfo,
                                        FieldInfos fieldInfos,
                                        IOContext context)
                                                throws IOException

      Deprecated.
      Specified by:
        `vectorsReader` in class `TermVectorsFormat`
      Throws:
        `IOException`

    - #### vectorsWriter

          public TermVectorsWriter vectorsWriter(Directory directory,
                                        SegmentInfo segmentInfo,
                                        IOContext context)
                                          throws IOException

      Deprecated.
      Specified by:
        `vectorsWriter` in class `TermVectorsFormat`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.